<?php

function formatData($key, $value) {
	switch ($key) {
		case 'time':
			$mn = (($mn = floor($value / 60)) < 10) ? '0' . ($mn) : $mn;
			$sec = (($sec = floor($value % 60)) < 10) ? '0' . ($sec) : $sec;
			$value = $mn . ':' . $sec;
			break;
			
		default:
	}
	return $value;
}

function echoStat($key, $value) {
	if (is_array($value)) {
		$_tableData = $value;
		include dirname(__FILE__) . '/templates/statistics/table.phtml';
	}
	else {
		echo htmlText($value);
	} 
}

function getLimit() {
	if (isset($_GET['l'])) {
		return ((int) $_GET['l']) || 'all' == $_GET['l'] ? $_GET['l'] : JMPDLOGGERWEB_PAGE_LIMIT_COUNT;
	}
	else {
		return JMPDLOGGERWEB_PAGE_LIMIT_COUNT;
	} 
}

function getOffset() {
	if (isset($_GET['o'])) {
		return ((int) $_GET['o']) ? (int) $_GET['o'] : JMPDLOGGERWEB_PAGE_LIMIT_OFFSET;
	}
	else {
		return JMPDLOGGERWEB_PAGE_LIMIT_OFFSET;
	} 
}

function getGoToPageUrl($page) {
	global $_statistics;
	
	$totalTracks = (int) $_statistics['Total tracks count'];
	$limit = getLimit();
	$offset = getOffset();
	switch($page)  {
		case 'previous':
			if ($offset - $limit < 0) {
				$url = "?l=$limit&o=0";
			}
			else {
				$url = "?l=$limit&o=" . ($offset - $limit);
			}
			break;
		case 'next':
			$url = "?l=$limit&o=" . ($offset + $limit);
			break;
		case 'first':
			$url = "?l=$limit&o=0";
			break;
		case 'last':
			$url = "?l=$limit&o=" . ($totalTracks - $totalTracks % $limit);
			break;
			
		default:
			$url = '#';
	}
	return htmlentities($url);
}

function getControlUrl($action) {
	$url = '?c=';
	
	switch($action)  {
		case 'previous':
			$url .= 'prev';
			break;
		case 'stop':
			$url .= 'stop';
			break;
		case 'play':
			$url .= 'play';
			break;
		case 'next':
			$url .= 'next';
			break;
			
		default:
			$url = '#';
	}
	return htmlentities($url);
}

function getPageExecTime() {
	global $TIME_START;
	return number_format(microtime(true) - $TIME_START, 4);
}

function htmlText($text) {
	return htmlspecialchars($text, ENT_COMPAT, 'UTF-8');
}