<?php
/*
 * Initialization...
 */
$TIME_START = microtime(true);

ini_set('error_reporting', E_ALL);
ini_set('display_error', 1);

include dirname(__FILE__) . '/config.inc.php';
include dirname(__FILE__) . '/functions.inc.php';
include dirname(__FILE__) . '/handleControls.inc.php';
$pdo = new PDO(JMPDLOGGERWEB_DB_CONNECTIONSTRING, JMPDLOGGERWEB_DB_USER, JMPDLOGGERWEB_DB_PASSWORD);


/*
 * == Tracks Table ==
 */
$limit = getLimit();
$offset = getOffset();
$stmt = $pdo->prepare('select * from ' . JMPDLOGGERWEB_DB_MAINTABLE
	. ' order by ID desc'
	. ' limit ' . $limit
	. ' offset ' . $offset);
$stmt->execute();
$_tracks = $stmt->fetchAll(PDO::FETCH_ASSOC);

/*
 * == Statistics ==
 */
$_statistics = array();

$stmt = $pdo->prepare('select count(id) from ' . JMPDLOGGERWEB_DB_MAINTABLE);
$stmt->execute();
$_statistics['Total tracks count'] = $stmt->fetchColumn(0);

$stmt = $pdo->prepare('select DATE from ' . JMPDLOGGERWEB_DB_MAINTABLE . ' order by DATE asc limit 1');
$stmt->execute();
$_statistics['Oldest history record'] = $stmt->fetchColumn(0);

$stmt = $pdo->prepare('select ARTIST, count(ID) as PLAY_COUNT from ' . JMPDLOGGERWEB_DB_MAINTABLE . ' group by ARTIST order by PLAY_COUNT desc limit 10');
$stmt->execute();
$_statistics['Most played artists'] = $stmt->fetchAll(PDO::FETCH_ASSOC);

$stmt = $pdo->prepare('select ALBUM, ARTIST, count(ID) as PLAY_COUNT'
	. ' from ' . JMPDLOGGERWEB_DB_MAINTABLE . ' as MAIN_TABLE group by ALBUM, ARTIST order by PLAY_COUNT desc limit 10');
$stmt->execute();
$_statistics['Most played albums'] = $stmt->fetchAll(PDO::FETCH_ASSOC);

include dirname(__FILE__) . '/templates/page.phtml';